using NUnit.Framework;
using PkmnLibSharp.Library;

namespace PkmnLibSharpTests.Library
{
    public class SpeciesTests
    {
        [Test]
        public void ConstructDestruct()
        {
            var forme = Forme.Create("foo", 1, 2, 100, new byte[] {0}, 10, 10, 10, 10, 10, 10, new[] {"foo"},
                new[] {"bar"}, LearnableMoves.Create(100));
            var species = Species.Create(0, "testSpecies", forme, 0.5f, "exponential", 100, 80);
            species.Dispose();
        }
    }
}